<?php
	
	/*
	Plugin Name: Grab a Feed
	Version: 1.0.2
	Plugin URI: http://www.nitzan.co.uk
	Description: Displays items of a feed of your choice
	Author: Nitzan hermon
	Author URI: http://www.nitzan.co.uk
	Tags:Feed, XML, RSS, SideBar
	*/
	

	
				function grab_a_feed(){
																	$title= get_option('feed_title');
																	$feed = get_option('rss');
																	$itemsnum = get_option('num_items');
																	include_once(ABSPATH . WPINC . '/rss.php');
																	$rss = fetch_rss($feed);
																	$maxitems = $itemsnum;
																	$items = array_slice($rss->items, 0, $maxitems);
																	?>
																	<h2><?php echo get_option('feed_title')?></h2>
																	<ul>
																	<?php if (empty($items)) echo '<li>No items</li>';
																	else
																	foreach ( $items as $item ) : ?>
																	<li class="list-item"><a href='<?php echo $item['link']; ?>' 
																	title='<?php echo $item['title']; ?>'>
																	<?php echo $item['title']; ?>
																	</a></li>
																	<?php endforeach; ?>
																	</ul>
																	<?php	
																		
															;}
			
			
		function grab_a_feed_init(){
    echo "Grab a Feed<br/><strong>Your feed , freshly served</strong>";
}
/*
function add_gaf_menu() {
    add_submenu_page('options-general.php', 'Grab a feed options', 'My Cool Plugin', 10, __FILE__, 'grab_a_feed_init');
}
add_action('admin_menu', 'add_gaf_menu');	
*/



//Make our admin page function
function g_a_f_admin(){

    //Check if the admin form has been submited
    if(isset($_POST['submitted'])){
        //Get form data
        $rss = $_POST['rss'];
        $num_items = $_POST['num_items'];
        $feed_title = $_POST['feed_title'];
        //Update plugin options
        update_option("rss", $rss); //The first parameter is the name of the option and the second is the value, this will be stored in the database by WordPress
        update_option("num_items", $num_items);
        update_option("feed_title", $feed_title);
            //echo a pretty 'Options Edited' message
        echo "<div id=\"message\" class=\"updated fade\"><p><strong>Grab a feed options updated.</strong></p></div>";
    }
    //echo the code for a nice container for our plugin admin page
    echo "<div class=\"wrap\">
    <h2>Grab a feed options</h2><br />You can configure <strong>Grab a feed options</strong> here. This is built for you to have an easy way to display feed items of an rss feed of your choice";
    //It's always a good idea to put in a link to your website so that the user can get support and check for newer versions.
    //Make a nice little form for the option editing
    ?><form method="post" name="options" target="_self">
<table width="100%" border="0" cellspacing="2" cellpadding="2">
  <tr>
    <td>Rss Feed we are after:</td>
    <td><input name="rss" type="text" style="width:100%;" value="<?php echo get_option('rss')?>" /></td>
  </tr>
    <tr>
    <td>title of the feed(will be displayed and wrapped in h2's)</td>
    <td><input name="feed_title" type="text" style="width:100%;" value="<?php echo get_option('feed_title')?>"/></td>
  </tr>
  <tr>
    <td>number of items</td>
    <td><input name="num_items" type="text" style="width:100%;" value="<?php echo get_option('num_items')?>"/></td>
  </tr>
</table>
<p class="submit">
<input name="submitted" type="hidden" value="yes" />
<input type="submit" name="Submit" value="Update Options &raquo;" />
</p>
</form></div><?php 
}

//Add the options page under the Options tab in the admin panel
function g_a_f_add_page() {
    add_submenu_page('options-general.php', 'Grab a feed options', 'Grab a feed options', 10, __FILE__, 'g_a_f_admin');
}
add_action('admin_menu', 'g_a_f_add_page');




	
?>